﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace _424041_ExpanderCustomStyle
{
	public class ControlTemplateSelector : DataTemplateSelector
	{
		public DataTemplate TextBoxTemplate { get; set; }
		public DataTemplate MultiTextBoxTemplate { get; set; }
		public DataTemplate DropDownTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			ContentViewModel content = item as ContentViewModel;
			if (content.ControlName.ToLower().Contains("multi"))
				return MultiTextBoxTemplate;
			else if (content.ControlName.ToLower().Contains("textbox"))
				return TextBoxTemplate;
			else if (content.ControlName.ToLower().Contains("dropdown"))
				return DropDownTemplate;
			else return base.SelectTemplate(item, container);
		}
	}
}
